Skip to main content
POST
/
teams
Create a new team
curl --request POST \
  --url https://api.gleap.io/v3/teams \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'project: <project>' \
  --data '
{
  "name": "<string>",
  "members": [
    "<string>"
  ],
  "selectOnlyOnlineMembers": true,
  "needQueueRerun": true,
  "limitTicketAmount": true,
  "ticketAmount": 123,
  "slaOptions": {
    "defaultSla": 123
  },
  "operatingHours": {
    "openingTimes": [
      {
        "closingTime": "<string>",
        "openingTime": "<string>",
        "day": "<string>",
        "replyTime": "<unknown>"
      }
    ],
    "staticTranslations": {
      "outOfOfficeMessage": "<unknown>"
    },
    "replyTime": "<unknown>",
    "alwaysOnline": true,
    "timezone": "<string>",
    "enabled": true
  }
}
'
{
  "updatedAt": "<string>",
  "createdAt": "<string>",
  "ticketAmount": 123,
  "limitTicketAmount": true,
  "needQueueRerun": true,
  "selectOnlyOnlineMembers": true,
  "members": [
    "<string>"
  ],
  "operatingHours": {
    "openingTimes": [
      {
        "closingTime": "<string>",
        "openingTime": "<string>",
        "day": "<string>",
        "replyTime": "<unknown>"
      }
    ],
    "alwaysOnline": true,
    "enabled": true,
    "staticTranslations": {
      "outOfOfficeMessage": "<unknown>"
    },
    "replyTime": "<unknown>",
    "timezone": "<string>"
  },
  "project": "<string>",
  "slaOptions": {
    "defaultSla": 123
  },
  "name": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.gleap.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

project
string
required

Body

application/json
name
string
required
assignmentMethod
enum<string>
required
Available options:
random,
balanced,
manual,
circular
members
string[]
required
selectOnlyOnlineMembers
boolean
needQueueRerun
boolean
limitTicketAmount
boolean
ticketAmount
number<double>
slaOptions
object
operatingHours
object

Response

200 - application/json

Ok

Generic types for Document:

  • T - the type of _id
  • TQueryHelpers - Object with any helpers that should be mixed into the Query type
  • DocType - the type of the actual Document created
updatedAt
string
required
createdAt
string
required
ticketAmount
number<double>
required
limitTicketAmount
boolean
required
needQueueRerun
boolean
required
selectOnlyOnlineMembers
boolean
required
members
string[]
required
assignmentMethod
enum<string>
required
Available options:
random,
balanced,
manual,
circular
operatingHours
object
project
string
slaOptions
object
name
string